* read_csv has the same behavior as in the version 5.3.3
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/spreadsheet
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
83         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
84         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
85         $(top_srcdir)/m4/intel_compiler.m4 \
86         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
87         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
88         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
89         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
90         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
91         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
92         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
93         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
94         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
95         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
100 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
104 am__vpath_adj = case $$p in \
105     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
106     *) f=$$p;; \
107   esac;
108 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
109 am__install_max = 40
110 am__nobase_strip_setup = \
111   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
112 am__nobase_strip = \
113   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
114 am__nobase_list = $(am__nobase_strip_setup); \
115   for p in $$list; do echo "$$p $$p"; done | \
116   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
117   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
118     if (++n[$$2] == $(am__install_max)) \
119       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
120     END { for (dir in files) print dir, files[dir] }'
121 am__base_list = \
122   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
123   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
124 am__uninstall_files_from_dir = { \
125   test -z "$$files" \
126     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
127     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
128          $(am__cd) "$$dir" && rm -f $$files; }; \
129   }
130 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
131         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
132         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
133         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
134 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
135 libscispreadsheet_algo_la_LIBADD =
136 am__objects_1 = libscispreadsheet_algo_la-xls.lo \
137         libscispreadsheet_algo_la-checkCsvWriteFormat.lo \
138         libscispreadsheet_algo_la-csv_complex.lo \
139         libscispreadsheet_algo_la-csvDefault.lo \
140         libscispreadsheet_algo_la-csvIsnum.lo \
141         libscispreadsheet_algo_la-csvRead.lo \
142         libscispreadsheet_algo_la-csv_strsubst.lo \
143         libscispreadsheet_algo_la-csvWrite.lo \
144         libscispreadsheet_algo_la-getRange.lo \
145         libscispreadsheet_algo_la-latintoutf.lo \
146         libscispreadsheet_algo_la-splitLine.lo \
147         libscispreadsheet_algo_la-stringsToDoubles.lo \
148         libscispreadsheet_algo_la-stringToComplex.lo \
149         libscispreadsheet_algo_la-utftolatin.lo
150 am__objects_2 = libscispreadsheet_algo_la-olestream-unwrap.lo \
151         libscispreadsheet_algo_la-pldstr.lo \
152         libscispreadsheet_algo_la-ole.lo \
153         libscispreadsheet_algo_la-bytedecoders.lo \
154         libscispreadsheet_algo_la-logger.lo \
155         libscispreadsheet_algo_la-ripole.lo \
156         libscispreadsheet_algo_la-bt-int.lo
157 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
158         $(am__objects_2)
159 libscispreadsheet_algo_la_OBJECTS =  \
160         $(am_libscispreadsheet_algo_la_OBJECTS)
161 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
162 am__objects_3 = libscispreadsheet_la-gw_spreadsheet.lo \
163         libscispreadsheet_la-sci_xls_read.lo \
164         libscispreadsheet_la-sci_xls_open.lo
165 am__objects_4 = libscispreadsheet_la-gw_csv_helpers.lo \
166         libscispreadsheet_la-sci_csvDefault.lo \
167         libscispreadsheet_la-sci_csvIsnum.lo \
168         libscispreadsheet_la-sci_csvRead.lo \
169         libscispreadsheet_la-sci_csvStringToDouble.lo \
170         libscispreadsheet_la-sci_csvTextScan.lo \
171         libscispreadsheet_la-sci_csvWrite.lo
172 am_libscispreadsheet_la_OBJECTS = $(am__objects_3) $(am__objects_4)
173 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
174 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
175 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
176 am__depfiles_maybe = depfiles
177 am__mv = mv -f
178 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
179         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
182         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
183 CCLD = $(CC)
184 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
186         $(LDFLAGS) -o $@
187 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
188         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
189 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
190         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
191         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
192 CXXLD = $(CXX)
193 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
194         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
195         $(LDFLAGS) -o $@
196 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
197         $(libscispreadsheet_la_SOURCES)
198 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
199         $(libscispreadsheet_la_SOURCES)
200 am__can_run_installinfo = \
201   case $$AM_UPDATE_INFO_DIR in \
202     n|no|NO) false;; \
203     *) (install-info --version) >/dev/null 2>&1;; \
204   esac
205 DATA = $(libscispreadsheet_la_etc_DATA) \
206         $(libscispreadsheet_la_root_DATA) \
207         $(libscispreadsheet_la_sci_gateway_DATA)
208 ETAGS = etags
209 CTAGS = ctags
210 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
211 ACLOCAL = @ACLOCAL@
212 ALL_LINGUAS = @ALL_LINGUAS@
213 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
214 AMTAR = @AMTAR@
215 ANT = @ANT@
216 ANTLR = @ANTLR@
217 AR = @AR@
218 ARPACK_LIBS = @ARPACK_LIBS@
219 ASM3 = @ASM3@
220 AUTOCONF = @AUTOCONF@
221 AUTOHEADER = @AUTOHEADER@
222 AUTOMAKE = @AUTOMAKE@
223 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
224 AWK = @AWK@
225 BATIK = @BATIK@
226 BLAS_LIBS = @BLAS_LIBS@
227 CC = @CC@
228 CCACHE = @CCACHE@
229 CCDEPMODE = @CCDEPMODE@
230 CFLAGS = @CFLAGS@
231 CHECKSTYLE = @CHECKSTYLE@
232 COBERTURA = @COBERTURA@
233 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
234 COMMONS_IO = @COMMONS_IO@
235 COMMONS_LOGGING = @COMMONS_LOGGING@
236 CPP = @CPP@
237 CPPFLAGS = @CPPFLAGS@
238 CXX = @CXX@
239 CXXCPP = @CXXCPP@
240 CXXDEPMODE = @CXXDEPMODE@
241 CXXFLAGS = @CXXFLAGS@
242 CYGPATH_W = @CYGPATH_W@
243 DEFS = @DEFS@
244 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
245 DEPDIR = @DEPDIR@
246 DOCBOOK_ROOT = @DOCBOOK_ROOT@
247 DSYMUTIL = @DSYMUTIL@
248 DUMPBIN = @DUMPBIN@
249 ECHO_C = @ECHO_C@
250 ECHO_N = @ECHO_N@
251 ECHO_T = @ECHO_T@
252 EGREP = @EGREP@
253 EXEEXT = @EXEEXT@
254 F77 = @F77@
255 FFLAGS = @FFLAGS@
256 FFTW3_LIB = @FFTW3_LIB@
257 FFTW_ENABLE = @FFTW_ENABLE@
258 FGREP = @FGREP@
259 FLEXDOCK = @FLEXDOCK@
260 FLIBS = @FLIBS@
261 FOP = @FOP@
262 GENHTML = @GENHTML@
263 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
264 GIWS_BIN = @GIWS_BIN@
265 GLUEGEN2_RT = @GLUEGEN2_RT@
266 GMSGFMT = @GMSGFMT@
267 GMSGFMT_015 = @GMSGFMT_015@
268 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
269 GREP = @GREP@
270 GUI_ENABLE = @GUI_ENABLE@
271 HDF5_CFLAGS = @HDF5_CFLAGS@
272 HDF5_LIBS = @HDF5_LIBS@
273 HELP_ENABLE = @HELP_ENABLE@
274 INSTALL = @INSTALL@
275 INSTALL_DATA = @INSTALL_DATA@
276 INSTALL_PROGRAM = @INSTALL_PROGRAM@
277 INSTALL_SCRIPT = @INSTALL_SCRIPT@
278 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
279 INTLLIBS = @INTLLIBS@
280 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
281 JAR = @JAR@
282 JAVA = @JAVA@
283 JAVAC = @JAVAC@
284 JAVAC_DEBUG = @JAVAC_DEBUG@
285 JAVADOC = @JAVADOC@
286 JAVAH = @JAVAH@
287 JAVASCI_ENABLE = @JAVASCI_ENABLE@
288 JAVA_ENABLE = @JAVA_ENABLE@
289 JAVA_G = @JAVA_G@
290 JAVA_HOME = @JAVA_HOME@
291 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
292 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
293 JDB = @JDB@
294 JEUCLID_CORE = @JEUCLID_CORE@
295 JGRAPHX = @JGRAPHX@
296 JHALL = @JHALL@
297 JLATEXMATH = @JLATEXMATH@
298 JLATEXMATH_FOP = @JLATEXMATH_FOP@
299 JOGL2 = @JOGL2@
300 JROSETTA_API = @JROSETTA_API@
301 JROSETTA_ENGINE = @JROSETTA_ENGINE@
302 JUNIT4 = @JUNIT4@
303 LAPACK_LIBS = @LAPACK_LIBS@
304 LCOV = @LCOV@
305 LD = @LD@
306 LDFLAGS = @LDFLAGS@
307 LIBICONV = @LIBICONV@
308 LIBINTL = @LIBINTL@
309 LIBM = @LIBM@
310 LIBOBJS = @LIBOBJS@
311 LIBS = @LIBS@
312 LIBTOOL = @LIBTOOL@
313 LIPO = @LIPO@
314 LN_S = @LN_S@
315 LOGGING_LEVEL = @LOGGING_LEVEL@
316 LOOKS = @LOOKS@
317 LTLIBICONV = @LTLIBICONV@
318 LTLIBINTL = @LTLIBINTL@
319 LTLIBOBJS = @LTLIBOBJS@
320 MAINT = @MAINT@
321 MAKEINFO = @MAKEINFO@
322 MATIO_CFLAGS = @MATIO_CFLAGS@
323 MATIO_ENABLE = @MATIO_ENABLE@
324 MATIO_LIBS = @MATIO_LIBS@
325 MKDIR_P = @MKDIR_P@
326 MSGCAT = @MSGCAT@
327 MSGFMT = @MSGFMT@
328 MSGFMT_015 = @MSGFMT_015@
329 MSGMERGE = @MSGMERGE@
330 NM = @NM@
331 NMEDIT = @NMEDIT@
332 OBJDUMP = @OBJDUMP@
333 OBJEXT = @OBJEXT@
334 OCAMLC = @OCAMLC@
335 OCAMLDEP = @OCAMLDEP@
336 OCAMLLEX = @OCAMLLEX@
337 OCAMLOPT = @OCAMLOPT@
338 OCAMLYACC = @OCAMLYACC@
339 OPENMP_CFLAGS = @OPENMP_CFLAGS@
340 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
341 OPENMP_ENABLE = @OPENMP_ENABLE@
342 OPENMP_LIBS = @OPENMP_LIBS@
343 OTOOL = @OTOOL@
344 OTOOL64 = @OTOOL64@
345 PACKAGE = @PACKAGE@
346 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
347 PACKAGE_NAME = @PACKAGE_NAME@
348 PACKAGE_STRING = @PACKAGE_STRING@
349 PACKAGE_TARNAME = @PACKAGE_TARNAME@
350 PACKAGE_URL = @PACKAGE_URL@
351 PACKAGE_VERSION = @PACKAGE_VERSION@
352 PATH_SEPARATOR = @PATH_SEPARATOR@
353 PCRE_CFLAGS = @PCRE_CFLAGS@
354 PCRE_CONFIG = @PCRE_CONFIG@
355 PCRE_LIBS = @PCRE_LIBS@
356 PCRE_VERSION = @PCRE_VERSION@
357 PKG_CONFIG = @PKG_CONFIG@
358 POSUB = @POSUB@
359 POW_LIB = @POW_LIB@
360 PYTHON = @PYTHON@
361 RANLIB = @RANLIB@
362 RELOCATABLE = @RELOCATABLE@
363 RT_LIB = @RT_LIB@
364 SAXON = @SAXON@
365 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
366 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
367 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
368 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
369 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
370 SCIRENDERER = @SCIRENDERER@
371 SCI_CFLAGS = @SCI_CFLAGS@
372 SCI_CXXFLAGS = @SCI_CXXFLAGS@
373 SCI_FFLAGS = @SCI_FFLAGS@
374 SCI_LDFLAGS = @SCI_LDFLAGS@
375 SED = @SED@
376 SET_MAKE = @SET_MAKE@
377 SET_RELOCATABLE = @SET_RELOCATABLE@
378 SHELL = @SHELL@
379 SKINLF = @SKINLF@
380 SPLINT = @SPLINT@
381 STRIP = @STRIP@
382 SWIG_BIN = @SWIG_BIN@
383 SWIG_JAVA = @SWIG_JAVA@
384 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
385 TCLTK_LIBS = @TCLTK_LIBS@
386 TCL_INC_PATH = @TCL_INC_PATH@
387 TK_INC_PATH = @TK_INC_PATH@
388 UMFPACK_ENABLE = @UMFPACK_ENABLE@
389 UMFPACK_LIB = @UMFPACK_LIB@
390 USE_NLS = @USE_NLS@
391 VERSION = @VERSION@
392 WITH_OCAML = @WITH_OCAML@
393 WITH_TKSCI = @WITH_TKSCI@
394 XCOS_ENABLE = @XCOS_ENABLE@
395 XGETTEXT = @XGETTEXT@
396 XGETTEXT_015 = @XGETTEXT_015@
397 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
398 XMKMF = @XMKMF@
399 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
400 XML_APIS_EXT = @XML_APIS_EXT@
401 XML_CONFIG = @XML_CONFIG@
402 XML_FLAGS = @XML_FLAGS@
403 XML_LIBS = @XML_LIBS@
404 XML_VERSION = @XML_VERSION@
405 X_CFLAGS = @X_CFLAGS@
406 X_EXTRA_LIBS = @X_EXTRA_LIBS@
407 X_LIBS = @X_LIBS@
408 X_PRE_LIBS = @X_PRE_LIBS@
409 abs_builddir = @abs_builddir@
410 abs_srcdir = @abs_srcdir@
411 abs_top_builddir = @abs_top_builddir@
412 abs_top_srcdir = @abs_top_srcdir@
413 ac_ct_CC = @ac_ct_CC@
414 ac_ct_CXX = @ac_ct_CXX@
415 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
416 ac_ct_F77 = @ac_ct_F77@
417 am__include = @am__include@
418 am__leading_dot = @am__leading_dot@
419 am__quote = @am__quote@
420 am__tar = @am__tar@
421 am__untar = @am__untar@
422 bindir = @bindir@
423 build = @build@
424 build_alias = @build_alias@
425 build_cpu = @build_cpu@
426 build_os = @build_os@
427 build_vendor = @build_vendor@
428 builddir = @builddir@
429 cxx_present = @cxx_present@
430 datadir = @datadir@
431 datarootdir = @datarootdir@
432 docdir = @docdir@
433 dvidir = @dvidir@
434 exec_prefix = @exec_prefix@
435 host = @host@
436 host_alias = @host_alias@
437 host_cpu = @host_cpu@
438 host_os = @host_os@
439 host_vendor = @host_vendor@
440 htmldir = @htmldir@
441 includedir = @includedir@
442 infodir = @infodir@
443 install_sh = @install_sh@
444 libdir = @libdir@
445 libexecdir = @libexecdir@
446 localedir = @localedir@
447 localstatedir = @localstatedir@
448 mandir = @mandir@
449 mkdir_p = @mkdir_p@
450 oldincludedir = @oldincludedir@
451 pdfdir = @pdfdir@
452 prefix = @prefix@
453 program_transform_name = @program_transform_name@
454 psdir = @psdir@
455 sbindir = @sbindir@
456 sharedstatedir = @sharedstatedir@
457 srcdir = @srcdir@
458 sysconfdir = @sysconfdir@
459 target_alias = @target_alias@
460 top_build_prefix = @top_build_prefix@
461 top_builddir = @top_builddir@
462 top_srcdir = @top_srcdir@
463 SPREADSHEET_C_SOURCES = src/c/xls.c \
464 src/cpp/checkCsvWriteFormat.c \
465 src/cpp/csv_complex.c \
466 src/cpp/csvDefault.c \
467 src/cpp/csvIsnum.c \
468 src/cpp/csvRead.c \
469 src/cpp/csv_strsubst.cpp \
470 src/cpp/csvWrite.c \
471 src/cpp/getRange.c \
472 src/cpp/latintoutf.c \
473 src/cpp/splitLine.c \
474 src/cpp/stringsToDoubles.c \
475 src/cpp/stringToComplex.c \
476 src/cpp/utftolatin.c
477
478 RIPOLE_SOURCES = src/c/ripole/olestream-unwrap.c \
479 src/c/ripole/pldstr.c \
480 src/c/ripole/ole.c \
481 src/c/ripole/bytedecoders.c \
482 src/c/ripole/logger.c \
483 src/c/ripole/ripole.c \
484 src/c/ripole/bt-int.c
485
486 GATEWAY_C_SOURCES = sci_gateway/c/gw_spreadsheet.c \
487 sci_gateway/c/sci_xls_read.c \
488 sci_gateway/c/sci_xls_open.c
489
490 GATEWAY_CPP_SOURCES = sci_gateway/cpp/gw_csv_helpers.cpp \
491 sci_gateway/cpp/sci_csvDefault.cpp \
492 sci_gateway/cpp/sci_csvIsnum.cpp \
493 sci_gateway/cpp/sci_csvRead.cpp \
494 sci_gateway/cpp/sci_csvStringToDouble.cpp \
495 sci_gateway/cpp/sci_csvTextScan.cpp \
496 sci_gateway/cpp/sci_csvWrite.cpp
497
498 libscispreadsheet_la_CPPFLAGS = -I$(srcdir)/includes/ \
499                                 -I$(srcdir)/src/c/ \
500                                 -I$(srcdir)/src/cpp/ \
501                                 -I$(srcdir)/src/c/ripole \
502                                 -I$(top_srcdir)/libs/MALLOC/includes/ \
503                                 -I$(top_srcdir)/modules/localization/includes/ \
504                                 -I$(top_srcdir)/modules/output_stream/includes/ \
505                                 -I$(top_srcdir)/modules/io/includes/ \
506                                 -I$(top_srcdir)/modules/string/src/c/ \
507                                 -I$(top_srcdir)/modules/string/includes/ \
508                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
509                                 -I$(top_srcdir)/modules/fileio/includes/ \
510                                 $(AM_CPPFLAGS)
511
512 pkglib_LTLIBRARIES = libscispreadsheet.la
513 noinst_LTLIBRARIES = libscispreadsheet-algo.la
514 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES) $(SPREADSHEET_CPP_SOURCES)
515 libscispreadsheet_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
516 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
517
518 # For the code check (splint)
519 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_C_SOURCES) $(RIPOLE_SOURCES)
520 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
521 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la 
522
523 #### Target ######
524 modulename = spreadsheet
525
526 #### spreadsheet : Conf files ####
527 libscispreadsheet_la_rootdir = $(mydatadir)
528 libscispreadsheet_la_root_DATA = license.txt 
529
530 ####�spreadsheet : init scripts ####
531 libscispreadsheet_la_etcdir = $(mydatadir)/etc
532 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
533
534 ####�spreadsheet : gateway declaration ####
535 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
536 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
537
538 # Where all the Scilab stuff is installed (macros, help, ...)
539 mydatadir = $(pkgdatadir)/modules/$(modulename)
540
541 # Set AM_* SCI detected settings
542 AM_CPPFLAGS = $(SCI_CPPFLAGS)
543 AM_CFLAGS = $(SCI_CFLAGS)
544 AM_CXXFLAGS = $(SCI_CXXFLAGS)
545 # append includes to AM_FFLAGS to manage fortran includes
546 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
547
548 # Tag shared libraries with the Scilab version
549 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
550
551 # splint options
552 SPLINT_OPTIONS = -weak -booltype BOOL
553
554 ########################### JAVA ######################################
555 #### We are delegating java compilation to ant... Thanks to that
556 #### the procedure will be the same with Microsoft Windows (C)
557 #### and Linux/Unix
558 #######################################################################
559 TARGETS_ALL = $(am__append_1)
560
561 ################ MACROS ######################
562 # Rule to build a macro
563 # NOT USED  AT THE MOMENT
564 SUFFIXES = .sci 
565
566 ########### INSTALL DOCUMENTATION ###################
567
568 # Install documentation files into the right target
569 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
570 # automake needs the html files to be present which is not the case when
571 # we are building Scilab
572
573 # Where it should be installed
574 pkgdocdir = $(mydatadir)
575
576 # What is the mask of the help source
577 DOCMASKXML = *.xml
578
579 # What is the mask of the MathML sources
580 DOCMASKMML = *.mml
581
582 ########### INSTALL DATA ###################
583 # Install macros, help & demos
584 # Where it should be installed
585 pkgmacrosdir = $(mydatadir)
586 # Which directory we process
587 MACRODIRS = macros/
588 # Mask of the Scilab sources macros
589 MACROMASK = *.sci
590 # Mask of the Scilab executable sources macros
591 MACROBUILDMASK = *.sce
592 # Mask of the Scilab compiled macros
593 MACROBINMASK = *.bin
594 # List of the standard directory for tests
595 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
596 # Where the demos should be installed
597 pkgdemosdir = $(mydatadir)
598 # List of the standard directory for demos
599 DEMOS_DIR = demos
600 # List of the standard directory for examples
601 EXAMPLES_DIR = examples
602 # Where to export JAVA archives (.jar)
603 JARDIR = jar/
604 # JAR files mask
605 JARMASK = *.jar
606 # Chapter file 
607 HELP_CHAPTERDIR = help/
608 HELP_CHAPTERFILE = addchapter.sce
609 HELP_CHAPTERLANG = en_US fr_FR pt_BR
610 all: all-am
611
612 .SUFFIXES:
613 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
614 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
615         @for dep in $?; do \
616           case '$(am__configure_deps)' in \
617             *$$dep*) \
618               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
619                 && { if test -f $@; then exit 0; else break; fi; }; \
620               exit 1;; \
621           esac; \
622         done; \
623         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
624         $(am__cd) $(top_srcdir) && \
625           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
626 .PRECIOUS: Makefile
627 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
628         @case '$?' in \
629           *config.status*) \
630             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
631           *) \
632             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
633             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
634         esac;
635 $(top_srcdir)/Makefile.incl.am:
636
637 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
638         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
639
640 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
641         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
642 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
643         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
644 $(am__aclocal_m4_deps):
645
646 clean-noinstLTLIBRARIES:
647         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
648         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
649           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
650           test "$$dir" != "$$p" || dir=.; \
651           echo "rm -f \"$${dir}/so_locations\""; \
652           rm -f "$${dir}/so_locations"; \
653         done
654 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
655         @$(NORMAL_INSTALL)
656         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
657         list2=; for p in $$list; do \
658           if test -f $$p; then \
659             list2="$$list2 $$p"; \
660           else :; fi; \
661         done; \
662         test -z "$$list2" || { \
663           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
664           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
665           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
666           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
667         }
668
669 uninstall-pkglibLTLIBRARIES:
670         @$(NORMAL_UNINSTALL)
671         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
672         for p in $$list; do \
673           $(am__strip_dir) \
674           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
675           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
676         done
677
678 clean-pkglibLTLIBRARIES:
679         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
680         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
681           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
682           test "$$dir" != "$$p" || dir=.; \
683           echo "rm -f \"$${dir}/so_locations\""; \
684           rm -f "$${dir}/so_locations"; \
685         done
686 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
687         $(CXXLINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
688 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
689         $(CXXLINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
690
691 mostlyclean-compile:
692         -rm -f *.$(OBJEXT)
693
694 distclean-compile:
695         -rm -f *.tab.c
696
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
698 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
699 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo@am__quote@
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Plo@am__quote@
708 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
709 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
710 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
711 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
712 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
713 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo@am__quote@
714 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Plo@am__quote@
715 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-stringsToDoubles.Plo@am__quote@
716 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo@am__quote@
717 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
718 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo@am__quote@
719 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo@am__quote@
723 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo@am__quote@
724 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo@am__quote@
725 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo@am__quote@
726 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
727 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
728
729 .c.o:
730 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
731 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
735
736 .c.obj:
737 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
738 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
742
743 .c.lo:
744 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
745 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
749
750 libscispreadsheet_algo_la-xls.lo: src/c/xls.c
751 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-xls.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
752 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo $(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/xls.c' object='libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
756
757 libscispreadsheet_algo_la-checkCsvWriteFormat.lo: src/cpp/checkCsvWriteFormat.c
758 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-checkCsvWriteFormat.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/cpp/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/cpp/checkCsvWriteFormat.c
759 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/checkCsvWriteFormat.c' object='libscispreadsheet_algo_la-checkCsvWriteFormat.lo' libtool=yes @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/cpp/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/cpp/checkCsvWriteFormat.c
763
764 libscispreadsheet_algo_la-csv_complex.lo: src/cpp/csv_complex.c
765 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csv_complex.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Tpo -c -o libscispreadsheet_algo_la-csv_complex.lo `test -f 'src/cpp/csv_complex.c' || echo '$(srcdir)/'`src/cpp/csv_complex.c
766 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csv_complex.Plo
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/csv_complex.c' object='libscispreadsheet_algo_la-csv_complex.lo' libtool=yes @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csv_complex.lo `test -f 'src/cpp/csv_complex.c' || echo '$(srcdir)/'`src/cpp/csv_complex.c
770
771 libscispreadsheet_algo_la-csvDefault.lo: src/cpp/csvDefault.c
772 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/cpp/csvDefault.c' || echo '$(srcdir)/'`src/cpp/csvDefault.c
773 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/csvDefault.c' object='libscispreadsheet_algo_la-csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/cpp/csvDefault.c' || echo '$(srcdir)/'`src/cpp/csvDefault.c
777
778 libscispreadsheet_algo_la-csvIsnum.lo: src/cpp/csvIsnum.c
779 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvIsnum.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Tpo -c -o libscispreadsheet_algo_la-csvIsnum.lo `test -f 'src/cpp/csvIsnum.c' || echo '$(srcdir)/'`src/cpp/csvIsnum.c
780 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvIsnum.Plo
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/csvIsnum.c' object='libscispreadsheet_algo_la-csvIsnum.lo' libtool=yes @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvIsnum.lo `test -f 'src/cpp/csvIsnum.c' || echo '$(srcdir)/'`src/cpp/csvIsnum.c
784
785 libscispreadsheet_algo_la-csvRead.lo: src/cpp/csvRead.c
786 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/cpp/csvRead.c' || echo '$(srcdir)/'`src/cpp/csvRead.c
787 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/csvRead.c' object='libscispreadsheet_algo_la-csvRead.lo' libtool=yes @AMDEPBACKSLASH@
789 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
790 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/cpp/csvRead.c' || echo '$(srcdir)/'`src/cpp/csvRead.c
791
792 libscispreadsheet_algo_la-csvWrite.lo: src/cpp/csvWrite.c
793 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/cpp/csvWrite.c' || echo '$(srcdir)/'`src/cpp/csvWrite.c
794 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/csvWrite.c' object='libscispreadsheet_algo_la-csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/cpp/csvWrite.c' || echo '$(srcdir)/'`src/cpp/csvWrite.c
798
799 libscispreadsheet_algo_la-getRange.lo: src/cpp/getRange.c
800 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-getRange.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/cpp/getRange.c' || echo '$(srcdir)/'`src/cpp/getRange.c
801 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo $(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/getRange.c' object='libscispreadsheet_algo_la-getRange.lo' libtool=yes @AMDEPBACKSLASH@
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
804 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/cpp/getRange.c' || echo '$(srcdir)/'`src/cpp/getRange.c
805
806 libscispreadsheet_algo_la-latintoutf.lo: src/cpp/latintoutf.c
807 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-latintoutf.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Tpo -c -o libscispreadsheet_algo_la-latintoutf.lo `test -f 'src/cpp/latintoutf.c' || echo '$(srcdir)/'`src/cpp/latintoutf.c
808 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Tpo $(DEPDIR)/libscispreadsheet_algo_la-latintoutf.Plo
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/latintoutf.c' object='libscispreadsheet_algo_la-latintoutf.lo' libtool=yes @AMDEPBACKSLASH@
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-latintoutf.lo `test -f 'src/cpp/latintoutf.c' || echo '$(srcdir)/'`src/cpp/latintoutf.c
812
813 libscispreadsheet_algo_la-splitLine.lo: src/cpp/splitLine.c
814 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-splitLine.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/cpp/splitLine.c' || echo '$(srcdir)/'`src/cpp/splitLine.c
815 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/splitLine.c' object='libscispreadsheet_algo_la-splitLine.lo' libtool=yes @AMDEPBACKSLASH@
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/cpp/splitLine.c' || echo '$(srcdir)/'`src/cpp/splitLine.c
819
820 libscispreadsheet_algo_la-stringsToDoubles.lo: src/cpp/stringsToDoubles.c
821 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-stringsToDoubles.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-stringsToDoubles.Tpo -c -o libscispreadsheet_algo_la-stringsToDoubles.lo `test -f 'src/cpp/stringsToDoubles.c' || echo '$(srcdir)/'`src/cpp/stringsToDoubles.c
822 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-stringsToDoubles.Tpo $(DEPDIR)/libscispreadsheet_algo_la-stringsToDoubles.Plo
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/stringsToDoubles.c' object='libscispreadsheet_algo_la-stringsToDoubles.lo' libtool=yes @AMDEPBACKSLASH@
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-stringsToDoubles.lo `test -f 'src/cpp/stringsToDoubles.c' || echo '$(srcdir)/'`src/cpp/stringsToDoubles.c
826
827 libscispreadsheet_algo_la-stringToComplex.lo: src/cpp/stringToComplex.c
828 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-stringToComplex.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Tpo -c -o libscispreadsheet_algo_la-stringToComplex.lo `test -f 'src/cpp/stringToComplex.c' || echo '$(srcdir)/'`src/cpp/stringToComplex.c
829 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Tpo $(DEPDIR)/libscispreadsheet_algo_la-stringToComplex.Plo
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/stringToComplex.c' object='libscispreadsheet_algo_la-stringToComplex.lo' libtool=yes @AMDEPBACKSLASH@
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-stringToComplex.lo `test -f 'src/cpp/stringToComplex.c' || echo '$(srcdir)/'`src/cpp/stringToComplex.c
833
834 libscispreadsheet_algo_la-utftolatin.lo: src/cpp/utftolatin.c
835 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-utftolatin.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/cpp/utftolatin.c' || echo '$(srcdir)/'`src/cpp/utftolatin.c
836 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/cpp/utftolatin.c' object='libscispreadsheet_algo_la-utftolatin.lo' libtool=yes @AMDEPBACKSLASH@
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/cpp/utftolatin.c' || echo '$(srcdir)/'`src/cpp/utftolatin.c
840
841 libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
842 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
843 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/olestream-unwrap.c' object='libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
847
848 libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
849 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
850 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/pldstr.c' object='libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
853 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
854
855 libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
856 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
857 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/ole.c' object='libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
861
862 libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
863 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
864 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
865 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/bytedecoders.c' object='libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
867 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
868
869 libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
870 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-logger.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
871 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo $(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
872 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/logger.c' object='libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
875
876 libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
877 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ripole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
878 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
879 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/ripole.c' object='libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
881 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
882
883 libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
884 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
885 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
886 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/ripole/bt-int.c' object='libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
888 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
889
890 libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
891 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
892 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
893 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_spreadsheet.c' object='libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
895 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
896
897 libscispreadsheet_la-sci_xls_read.lo: sci_gateway/c/sci_xls_read.c
898 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
899 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
900 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_xls_read.c' object='libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
902 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
903
904 libscispreadsheet_la-sci_xls_open.lo: sci_gateway/c/sci_xls_open.c
905 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
906 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
907 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_xls_open.c' object='libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
909 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
910
911 .cpp.o:
912 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
913 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
914 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
915 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
917
918 .cpp.obj:
919 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
920 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
921 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
922 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
924
925 .cpp.lo:
926 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
927 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
928 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
929 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
930 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
931
932 libscispreadsheet_algo_la-csv_strsubst.lo: src/cpp/csv_strsubst.cpp
933 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_algo_la-csv_strsubst.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Tpo -c -o libscispreadsheet_algo_la-csv_strsubst.lo `test -f 'src/cpp/csv_strsubst.cpp' || echo '$(srcdir)/'`src/cpp/csv_strsubst.cpp
934 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csv_strsubst.Plo
935 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/csv_strsubst.cpp' object='libscispreadsheet_algo_la-csv_strsubst.lo' libtool=yes @AMDEPBACKSLASH@
936 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_algo_la-csv_strsubst.lo `test -f 'src/cpp/csv_strsubst.cpp' || echo '$(srcdir)/'`src/cpp/csv_strsubst.cpp
938
939 libscispreadsheet_la-gw_csv_helpers.lo: sci_gateway/cpp/gw_csv_helpers.cpp
940 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-gw_csv_helpers.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/cpp/gw_csv_helpers.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/gw_csv_helpers.cpp
941 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo
942 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/gw_csv_helpers.cpp' object='libscispreadsheet_la-gw_csv_helpers.lo' libtool=yes @AMDEPBACKSLASH@
943 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
944 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/cpp/gw_csv_helpers.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/gw_csv_helpers.cpp
945
946 libscispreadsheet_la-sci_csvDefault.lo: sci_gateway/cpp/sci_csvDefault.cpp
947 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/cpp/sci_csvDefault.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvDefault.cpp
948 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo
949 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_csvDefault.cpp' object='libscispreadsheet_la-sci_csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
950 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/cpp/sci_csvDefault.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvDefault.cpp
952
953 libscispreadsheet_la-sci_csvIsnum.lo: sci_gateway/cpp/sci_csvIsnum.cpp
954 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_csvIsnum.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Tpo -c -o libscispreadsheet_la-sci_csvIsnum.lo `test -f 'sci_gateway/cpp/sci_csvIsnum.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvIsnum.cpp
955 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvIsnum.Plo
956 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_csvIsnum.cpp' object='libscispreadsheet_la-sci_csvIsnum.lo' libtool=yes @AMDEPBACKSLASH@
957 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_csvIsnum.lo `test -f 'sci_gateway/cpp/sci_csvIsnum.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvIsnum.cpp
959
960 libscispreadsheet_la-sci_csvRead.lo: sci_gateway/cpp/sci_csvRead.cpp
961 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/cpp/sci_csvRead.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvRead.cpp
962 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo
963 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_csvRead.cpp' object='libscispreadsheet_la-sci_csvRead.lo' libtool=yes @AMDEPBACKSLASH@
964 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/cpp/sci_csvRead.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvRead.cpp
966
967 libscispreadsheet_la-sci_csvStringToDouble.lo: sci_gateway/cpp/sci_csvStringToDouble.cpp
968 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_csvStringToDouble.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/cpp/sci_csvStringToDouble.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvStringToDouble.cpp
969 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo
970 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_csvStringToDouble.cpp' object='libscispreadsheet_la-sci_csvStringToDouble.lo' libtool=yes @AMDEPBACKSLASH@
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
972 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/cpp/sci_csvStringToDouble.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvStringToDouble.cpp
973
974 libscispreadsheet_la-sci_csvTextScan.lo: sci_gateway/cpp/sci_csvTextScan.cpp
975 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_csvTextScan.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/cpp/sci_csvTextScan.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvTextScan.cpp
976 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo
977 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_csvTextScan.cpp' object='libscispreadsheet_la-sci_csvTextScan.lo' libtool=yes @AMDEPBACKSLASH@
978 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
979 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/cpp/sci_csvTextScan.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvTextScan.cpp
980
981 libscispreadsheet_la-sci_csvWrite.lo: sci_gateway/cpp/sci_csvWrite.cpp
982 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscispreadsheet_la-sci_csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/cpp/sci_csvWrite.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvWrite.cpp
983 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo
984 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_csvWrite.cpp' object='libscispreadsheet_la-sci_csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
985 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
986 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/cpp/sci_csvWrite.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_csvWrite.cpp
987
988 mostlyclean-libtool:
989         -rm -f *.lo
990
991 clean-libtool:
992         -rm -rf .libs _libs
993 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
994         @$(NORMAL_INSTALL)
995         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
996         if test -n "$$list"; then \
997           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
998           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit 1; \
999         fi; \
1000         for p in $$list; do \
1001           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1002           echo "$$d$$p"; \
1003         done | $(am__base_list) | \
1004         while read files; do \
1005           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1006           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
1007         done
1008
1009 uninstall-libscispreadsheet_la_etcDATA:
1010         @$(NORMAL_UNINSTALL)
1011         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1012         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1013         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
1014 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
1015         @$(NORMAL_INSTALL)
1016         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1017         if test -n "$$list"; then \
1018           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1019           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit 1; \
1020         fi; \
1021         for p in $$list; do \
1022           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1023           echo "$$d$$p"; \
1024         done | $(am__base_list) | \
1025         while read files; do \
1026           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1027           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
1028         done
1029
1030 uninstall-libscispreadsheet_la_rootDATA:
1031         @$(NORMAL_UNINSTALL)
1032         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1033         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1034         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
1035 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
1036         @$(NORMAL_INSTALL)
1037         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1038         if test -n "$$list"; then \
1039           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1040           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit 1; \
1041         fi; \
1042         for p in $$list; do \
1043           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1044           echo "$$d$$p"; \
1045         done | $(am__base_list) | \
1046         while read files; do \
1047           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1048           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
1049         done
1050
1051 uninstall-libscispreadsheet_la_sci_gatewayDATA:
1052         @$(NORMAL_UNINSTALL)
1053         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1054         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1055         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1056
1057 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1058         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1059         unique=`for i in $$list; do \
1060             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1061           done | \
1062           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1063               END { if (nonempty) { for (i in files) print i; }; }'`; \
1064         mkid -fID $$unique
1065 tags: TAGS
1066
1067 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1068                 $(TAGS_FILES) $(LISP)
1069         set x; \
1070         here=`pwd`; \
1071         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1072         unique=`for i in $$list; do \
1073             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1074           done | \
1075           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1076               END { if (nonempty) { for (i in files) print i; }; }'`; \
1077         shift; \
1078         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1079           test -n "$$unique" || unique=$$empty_fix; \
1080           if test $$# -gt 0; then \
1081             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1082               "$$@" $$unique; \
1083           else \
1084             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1085               $$unique; \
1086           fi; \
1087         fi
1088 ctags: CTAGS
1089 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1090                 $(TAGS_FILES) $(LISP)
1091         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1092         unique=`for i in $$list; do \
1093             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1094           done | \
1095           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1096               END { if (nonempty) { for (i in files) print i; }; }'`; \
1097         test -z "$(CTAGS_ARGS)$$unique" \
1098           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1099              $$unique
1100
1101 GTAGS:
1102         here=`$(am__cd) $(top_builddir) && pwd` \
1103           && $(am__cd) $(top_srcdir) \
1104           && gtags -i $(GTAGS_ARGS) "$$here"
1105
1106 distclean-tags:
1107         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1108
1109 distdir: $(DISTFILES)
1110         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1111         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1112         list='$(DISTFILES)'; \
1113           dist_files=`for file in $$list; do echo $$file; done | \
1114           sed -e "s|^$$srcdirstrip/||;t" \
1115               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1116         case $$dist_files in \
1117           */*) $(MKDIR_P) `echo "$$dist_files" | \
1118                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1119                            sort -u` ;; \
1120         esac; \
1121         for file in $$dist_files; do \
1122           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1123           if test -d $$d/$$file; then \
1124             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1125             if test -d "$(distdir)/$$file"; then \
1126               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1127             fi; \
1128             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1129               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1130               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1131             fi; \
1132             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1133           else \
1134             test -f "$(distdir)/$$file" \
1135             || cp -p $$d/$$file "$(distdir)/$$file" \
1136             || exit 1; \
1137           fi; \
1138         done
1139 check-am: all-am
1140         $(MAKE) $(AM_MAKEFLAGS) check-local
1141 check: check-am
1142 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1143 installdirs:
1144         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
1145           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1146         done
1147 install: install-am
1148 install-exec: install-exec-am
1149 install-data: install-data-am
1150 uninstall: uninstall-am
1151
1152 install-am: all-am
1153         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1154
1155 installcheck: installcheck-am
1156 install-strip:
1157         if test -z '$(STRIP)'; then \
1158           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1159             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1160               install; \
1161         else \
1162           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1163             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1164             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1165         fi
1166 mostlyclean-generic:
1167
1168 clean-generic:
1169
1170 distclean-generic:
1171         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1172         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1173
1174 maintainer-clean-generic:
1175         @echo "This command is intended for maintainers to use"
1176         @echo "it deletes files that may require special tools to rebuild."
1177 clean: clean-am
1178
1179 clean-am: clean-generic clean-libtool clean-local \
1180         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1181
1182 distclean: distclean-am
1183         -rm -rf ./$(DEPDIR)
1184         -rm -f Makefile
1185 distclean-am: clean-am distclean-compile distclean-generic \
1186         distclean-local distclean-tags
1187
1188 dvi: dvi-am
1189
1190 dvi-am:
1191
1192 html: html-am
1193
1194 html-am:
1195
1196 info: info-am
1197
1198 info-am:
1199
1200 install-data-am: install-data-local \
1201         install-libscispreadsheet_la_etcDATA \
1202         install-libscispreadsheet_la_rootDATA \
1203         install-libscispreadsheet_la_sci_gatewayDATA
1204
1205 install-dvi: install-dvi-am
1206
1207 install-dvi-am:
1208
1209 install-exec-am: install-pkglibLTLIBRARIES
1210
1211 install-html: install-html-am
1212
1213 install-html-am: install-html-local
1214
1215 install-info: install-info-am
1216
1217 install-info-am:
1218
1219 install-man:
1220
1221 install-pdf: install-pdf-am
1222
1223 install-pdf-am:
1224
1225 install-ps: install-ps-am
1226
1227 install-ps-am:
1228
1229 installcheck-am:
1230
1231 maintainer-clean: maintainer-clean-am
1232         -rm -rf ./$(DEPDIR)
1233         -rm -f Makefile
1234 maintainer-clean-am: distclean-am maintainer-clean-generic
1235
1236 mostlyclean: mostlyclean-am
1237
1238 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1239         mostlyclean-libtool
1240
1241 pdf: pdf-am
1242
1243 pdf-am:
1244
1245 ps: ps-am
1246
1247 ps-am:
1248
1249 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
1250         uninstall-libscispreadsheet_la_rootDATA \
1251         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1252         uninstall-pkglibLTLIBRARIES
1253
1254 .MAKE: check-am install-am install-strip
1255
1256 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1257         clean clean-generic clean-libtool clean-local \
1258         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1259         distclean distclean-compile distclean-generic \
1260         distclean-libtool distclean-local distclean-tags distdir dvi \
1261         dvi-am html html-am info info-am install install-am \
1262         install-data install-data-am install-data-local install-dvi \
1263         install-dvi-am install-exec install-exec-am install-html \
1264         install-html-am install-html-local install-info \
1265         install-info-am install-libscispreadsheet_la_etcDATA \
1266         install-libscispreadsheet_la_rootDATA \
1267         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1268         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1269         install-ps install-ps-am install-strip installcheck \
1270         installcheck-am installdirs maintainer-clean \
1271         maintainer-clean-generic mostlyclean mostlyclean-compile \
1272         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1273         tags uninstall uninstall-am \
1274         uninstall-libscispreadsheet_la_etcDATA \
1275         uninstall-libscispreadsheet_la_rootDATA \
1276         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1277         uninstall-pkglibLTLIBRARIES
1278
1279
1280 # This target enables tests for Scilab
1281 check-local: $(top_builddir)/scilab-bin test
1282         if test -d $(mydatadir)/tests; then \
1283           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1284         fi
1285 check-code:
1286         if test -f build.xml; then \
1287                 $(ANT) checkstyle; \
1288         fi
1289         if test -x "$(SPLINT)"; then \
1290                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1291         fi
1292 @NEED_JAVA_TRUE@java:
1293 # Some configurations needs to export JAVA_HOME in the current env
1294 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1295 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1296 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1297 @NEED_JAVA_TRUE@                $(ANT); \
1298 @NEED_JAVA_TRUE@        fi
1299
1300 @NEED_JAVA_TRUE@clean-java:
1301 # Some configurations needs to export JAVA_HOME in the current env
1302 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1303 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1304 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1305 @NEED_JAVA_TRUE@                $(ANT) clean; \
1306 @NEED_JAVA_TRUE@        fi;
1307
1308 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1309 # We call the target swig-build on the variable SWIG_WRAPPERS
1310
1311 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1312 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1313 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1314 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1315 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1316 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1317 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1318 @SWIG_TRUE@             done; \
1319 @SWIG_TRUE@     fi
1320
1321 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1322 # We call the target swig-build on the variable SWIG_WRAPPERS
1323
1324 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1325 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1326 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1327 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1328 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1329 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1330 @GIWS_TRUE@             done; \
1331 @GIWS_TRUE@     fi
1332
1333 @GIWS_TRUE@giws-exception:
1334 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1335 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1336 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1337
1338 macros:
1339         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1340                 echo "Error : Cannot build $< : Scilab has not been built"; \
1341         else \
1342                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1343         fi)
1344
1345 # Removes the macros
1346 clean-macros:
1347 # Removes macros (*.bin generated from .sci)
1348         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1349                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1350                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1351         done
1352
1353 test:
1354 # More tests could be added here
1355         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1356         if test -f build.xml -a $$USEANT -eq 1; then \
1357                 $(ANT) test; \
1358         fi
1359
1360 all-local: $(TARGETS_ALL)
1361
1362 .sci.bin:
1363         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1364         echo "Error : Cannot build $< : Scilab has not been build"; \
1365         else \
1366         echo "Creating $@"; \
1367         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1368         fi )
1369
1370 install-html-local:
1371
1372 install-data-local-local:
1373 # Mainly for javasci
1374         @if test -d $(srcdir)/javadoc; then \
1375                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1376         fi
1377 # If the user wants the help sources to be installed
1378 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1379 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1380 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1381 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1382 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1383 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1384 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1385 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1386 @INSTALL_HELP_XML_TRUE@           done ; \
1387 @INSTALL_HELP_XML_TRUE@         fi; \
1388 @INSTALL_HELP_XML_TRUE@  fi; \
1389 @INSTALL_HELP_XML_TRUE@ done; \
1390 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1391 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1392 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1393 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1394 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1395 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1396 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1397 @INSTALL_HELP_XML_TRUE@           done ; \
1398 @INSTALL_HELP_XML_TRUE@         fi; \
1399 @INSTALL_HELP_XML_TRUE@ fi
1400 install-data-local:
1401 # Install the tests
1402         @echo "-------- Install tests (if any) --------"; \
1403         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1404           if test -d $(srcdir)/$$dir/; then \
1405             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1406                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1407                     if test -d "$(srcdir)/$$dir/$$file"; then \
1408                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1409                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1410                     else \
1411                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1412                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1413                     fi \
1414                   done; \
1415           fi; \
1416         done
1417 # Install the help chapter
1418         @echo "-------- Install the help chapter (if any) --------"; \
1419         for lang in $(HELP_CHAPTERLANG); do \
1420                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1421                 if test -f $$HELPFILE; then \
1422                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1423                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1424                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1425                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1426                 fi; \
1427         done
1428 # Install the demos & examples
1429         @echo "-------- Install demos & examples (if any) --------"; \
1430         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1431           if test -d $(srcdir)/$$dir/; then \
1432             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1433                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1434                     if test -d "$(srcdir)/$$dir/$$file"; then \
1435                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1436                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1437                     else \
1438                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1439                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1440                     fi \
1441                   done; \
1442           fi; \
1443         done
1444 # Install the macros
1445         @echo "-------- Install macros (if any) --------"; \
1446         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1447           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1448                 if test -d $(srcdir)/$$dir/; then \
1449                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1450                         if test -n "$(MACROSSPECIALEXT)"; then \
1451                                 specialExtDir=""; \
1452                                 for specialExt in $(MACROSSPECIALEXT); do \
1453                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1454                                 done; \
1455                                 FILELIST="$$FILELIST $$specialExtDir"; \
1456                         fi; \
1457                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1458                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1459                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1460                   done; \
1461                 fi; \
1462         done
1463 # Install java files (.jar)
1464         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1465         echo "-------- Install jar files --------"; \
1466     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1467           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1468                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1469                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1470           done ; \
1471         fi
1472
1473 ########### CLEAN ###################
1474 # Clean help (generated automatically by Scilab)
1475 # It used to clean the macro (clean-macros) but this was causing
1476 # make clean && make to fail Scilab startup
1477 @NEED_JAVA_TRUE@clean-local: clean-java
1478 @NEED_JAVA_FALSE@clean-local:
1479
1480 distclean-local:
1481         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1482
1483 .PHONY: macros java swig giws
1484
1485 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1486 # Otherwise a system limit (for SysV at least) may be exceeded.
1487 .NOEXPORT: